## playonlinux 4.2.12

=== Makefile ===
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authors:		Jiri Konecny <dragonlichcz@gmail.com>


# Arguments:
#
# PREFIX  -- Set prefix for the installation (/usr is default)
# DESTDIR -- Where you want to install
#

CFLAGS ?= -O2
CC = gcc $(CFLAGS)
PYTHON = python2 -m py_compile
GZIP = gzip

PREFIX ?= /usr
DESTDIR ?= # root dir

sharedir := $(DESTDIR)$(PREFIX)/share
bindir := $(DESTDIR)$(PREFIX)/bin
execdir := $(DESTDIR)$(PREFIX)/libexec


all: build

clean:
	$(RM) ./python/*.pyc
	$(RM) ./python/lib/*.pyc
	$(RM) ./bin/check_dd
	$(RM) ./bin/playonlinux
	$(RM) ./bin/playonlinux-pkg
	$(RM) ./ChangeLog

build:
	$(CC) ./src/check_direct_rendering.c -o ./bin/playonlinux-check_dd -lGL -lX11
	$(PYTHON) ./python/*.py
	$(PYTHON) ./python/lib/*.py
	echo -e '#!/bin/bash\nGDK_BACKEND=x11 ${sharedir}/playonlinux/playonlinux "$$@"\nexit 0' > ./bin/playonlinux
	echo -e '#!/bin/bash\n${sharedir}/playonlinux/playonlinux-pkg "$$@"\nexit 0' > ./bin/playonlinux-pkg
	chmod +x ./bin/playonlinux
	chmod +x ./bin/playonlinux-pkg
	sed -i 's/\(\["DEBIAN_PACKAGE"\]\s*=\s*\)"FALSE"/\1"TRUE"/' \
		./python/lib/Variables.py

install:
	install -d $(bindir)
	install -d $(execdir)
	install -d $(sharedir)/pixmaps
	install -d $(sharedir)/applications
	install -d $(sharedir)/appdata
	install -d $(sharedir)/playonlinux/bin
	install -d $(sharedir)/man/man1
	install -d $(sharedir)/locale
	$(GZIP) -c ./doc/playonlinux-pkg.1 > $(sharedir)/man/man1/playonlinux-pkg.1.gz
	$(GZIP) -c ./doc/playonlinux.1 > $(sharedir)/man/man1/playonlinux.1.gz
	cp ./etc/PlayOnLinux.desktop $(sharedir)/applications/PlayOnLinux.desktop
	cp ./etc/PlayOnLinux.appdata.xml $(sharedir)/appdata/PlayOnLinux.appdata.xml
	cp ./etc/playonlinux.png $(sharedir)/pixmaps/playonlinux.png
	cp ./etc/playonlinux16.png $(sharedir)/pixmaps/playonlinux16.png
	cp ./etc/playonlinux32.png $(sharedir)/pixmaps/playonlinux32.png
	cp ./bin/{playonlinux,playonlinux-pkg} $(bindir)/
	cp ./bin/playonlinux-check_dd $(execdir)/
	cp ./{playonlinux*,README.md,TRANSLATORS,CHANGELOG.md,LICENCE} $(sharedir)/playonlinux/
	cp -R ./{bash,etc,lib,plugins,python,resources,tests} $(sharedir)/playonlinux/
	cp -R ./lang/locale/* $(sharedir)/locale/

changelog:
	(GIT_DIR=.git git log > .changelog.tmp && mv .changelog.tmp ChangeLog; rm -f .changelog.tmp) || (touch ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)

.PHONY: all clean build install changelog

## playonlinux 3.7.6

=== debian/changelog ===
playonlinux (3.7.6-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Refresh debian/rules, remove any quilt references.
  * Complete upstream changelog.
  * debian/rules : temporary fix ukrainian locale.

 -- Bertrand Marc <beberking@gmail.com>  Wed, 19 May 2010 14:36:48 +0200

playonlinux (3.7.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.4 (no changes needed).

 -- Bertrand Marc <beberking@gmail.com>  Sun, 14 Feb 2010 21:32:26 +0100

playonlinux (3.7.1-1) unstable; urgency=low

  * New upstream release:
    - Added POL_Call to replace tricks lib
    - New polish and german translation
  * Depends on binutils to provide ar (LP: #456276).

 -- Bertrand Marc <beberking@gmail.com>  Thu, 05 Nov 2009 00:45:44 +0100

playonlinux (3.7-1) unstable; urgency=low

  * New upstream release:
    - Right Menu
    - Kill All Apps
    - Possibility to change icon
    - Possibility to open user directory
    - playonlinux --debug option
  * Depends on wine|wine-unstable (Closes: #541325).
  * Bump Standards-Version to 3.8.3 (no changes needed).
  * Refresh patches.
  * Add README.source referring to /usr/share/doc/quilt/README.source.

 -- Bertrand Marc <beberking@gmail.com>  Mon, 05 Oct 2009 11:54:55 +0000

playonlinux (3.6-1) unstable; urgency=low

  * New upstream release :
    - Various bug fixed
    - Winetricks integration
  * Bump Standards-Version to 3.8.2 (no changes needed).
  * Match playonlinux.install with the new source tree.
  * Add a dependency on gettext-base for translation support.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 05 Jul 2009 13:12:29 +0200

playonlinux (3.5-1) unstable; urgency=low

  * New upstream release :
    - Icon changed
    - pol.mulx.net becomes mulx.playonlinux.com
    - English translation improved

 -- Bertrand Marc <beberking@gmail.com>  Sun, 17 May 2009 16:12:01 +0200

playonlinux (3.4-1) unstable; urgency=low

  * Initial release (Closes: #485149)
  * Suggest (and use) ttf-mscorefonts-installer instead
    of downloading directly the fonts.
  * Document how to install fonts in README.Debian.
  * Install locales in /usr/share/locale instead of
    custom directory and apply patch locale.diff to match
    these changes.
  * Replace xterm with x-terminal-emulator, drop the
    xterm dependency.

 -- Bertrand Marc <beberking@gmail.com>  Fri, 13 Mar 2009 02:03:24 +0100

=== debian/control ===
Source: playonlinux
Section: contrib/otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bertrand Marc <beberking@gmail.com>
Build-Depends: debhelper (>= 7), python-support, quilt
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/playonlinux/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/playonlinux/
Homepage: http://www.playonlinux.com/

Package: playonlinux
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, wine|wine-unstable, unzip, wget, x-terminal-emulator, python-wxgtk2.8, imagemagick, cabextract, mesa-utils, gettext-base, binutils
Suggests: ttf-mscorefonts-installer
Description: front-end for Wine
 PlayOnLinux is a front-end for wine. It permits you to easily install Windows
 Games  and softwares on Linux. It is advised to have a functional internet
 connection.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	chmod -x CHANGELOG
	chmod -R -x+X etc/
	chmod -R -x+X themes/
	chmod -R -x+X lang/locale/
	chmod -x python/lib/__init__.py
	chmod +x lib/*
	chmod +x lang/old/*
	chmod +x bash/terminals/*
	#temporary fix for ukrainian :
	mv lang/locale/ua lang/locale/uk
	

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_install
	dh_installmenu
	dh_pysupport
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## playonlinux 3.8.8

=== debian/changelog ===
playonlinux (3.8.8-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove lang/locale/templates.
  * Fix permissions in bash/.
  * Remove a typo in python/new_guiv3.py (!).

 -- Bertrand Marc <beberking@gmail.com>  Wed, 26 Jan 2011 11:42:17 +0100

playonlinux (3.8-1) UNRELEASED; urgency=low

  * New upstream release.
  * Refresh patches.
  * Remove temporary fix for ua locale.
  * debian/rules: lang/old doesn't exist anymore.
  * Stop build-depending on quilt, doesn't needed anymore

 -- Bertrand Marc <beberking@gmail.com>  Wed, 25 Aug 2010 10:52:06 +0200

playonlinux (3.7.7-1) UNRELEASED; urgency=low

  * New upstream release.
  * Remove patches/changelog, included upstream.
  * Fix clean in debian/rules to compile twice in a row.
  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Remove README.source, unnecessary with 3.0 (quilt) format.

 -- Bertrand Marc <beberking@gmail.com>  Mon, 23 Aug 2010 09:30:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Bertrand Marc <beberking@gmail.com>
-Build-Depends: debhelper (>= 7), python-support, quilt
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), python-support
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/playonlinux/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/playonlinux/
 Homepage: http://www.playonlinux.com/

=== debian/rules ===
--- 
+++ 
@@ -33,11 +33,10 @@
 	chmod -R -x+X lang/locale/
 	chmod -x python/lib/__init__.py
 	chmod +x lib/*
-	chmod +x lang/old/*
 	chmod +x bash/terminals/*
-	#temporary fix for ukrainian :
-	mv lang/locale/ua lang/locale/uk
-	
+	chmod +x bash/debug_main
+	rm lang/locale/templates/pol.pot
+	rmdir lang/locale/templates
 
 # Build architecture-independent files here.
 binary-indep: build install

## playonlinux 4.0.12

=== debian/changelog ===
playonlinux (4.0.12-1) unstable; urgency=low

  * New upstream release (Closes: #639558).
  * Remove patches/license.diff, not necessary any more.
  * debian/rules: remove permission fixing.
  * debian/rules: add build-arch and build-indep.
  * Migrate to dh_python2.
  * debian/patches: disable update alert on new release
    (Closes: #639463).

 -- Bertrand Marc <beberking@gmail.com>  Sat, 17 Sep 2011 11:14:44 +0200

playonlinux (3.8.12-1) UNRELEASED; urgency=low

  * New upstream release.
  * Add depends on gnupg, POL uses signed scripts now.
  * Delete patches/bang.diff, not necessary any more.
  * Refresh patches.
  * Disable completely playonlinux-daemon, as it is *partially* removed
    upstream.
  * Disable playonlinux-url_handler since upstream doesn't provide gconf
    schemas. Upstream should definitly think about providing a clean and
    complete tarball.
  * Add the plugins directory, to make them available easily.
  * Depends on icoutils as POL uses it now.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Bertrand Marc <beberking@gmail.com>  Wed, 27 Apr 2011 20:00:23 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+build-arch: build
+
+build-indep: build
 
 build: build-stamp
 
@@ -27,16 +31,8 @@
 	dh_prep
 	dh_installdirs
 
-	chmod -x CHANGELOG
-	chmod -R -x+X etc/
-	chmod -R -x+X themes/
-	chmod -R -x+X lang/locale/
-	chmod -x python/lib/__init__.py
-	chmod +x lib/*
 	chmod +x bash/terminals/*
-	chmod +x bash/debug_main
-	rm lang/locale/templates/pol.pot
-	rmdir lang/locale/templates
+
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -46,7 +42,7 @@
 	dh_installdocs
 	dh_install
 	dh_installmenu
-	dh_pysupport
+	dh_python2
 	dh_installman
 	dh_link
 	dh_strip

## playonlinux 4.0.14

=== debian/changelog ===
playonlinux (4.0.14-1) unstable; urgency=low

  * New upstream release.
  * Add the new TRANSLATORS file to debian/playonlinux.docs.
  * Refresh patches/x-terminal-emulator.diff.
  * Install etc/playonlinux.gpg to verify downloaded scripts.

 -- Bertrand Marc <beberking@gmail.com>  Sat, 10 Dec 2011 15:48:27 +0100

=== debian/control ===
Source: playonlinux
Section: contrib/otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bertrand Marc <beberking@gmail.com>
Build-Depends: debhelper (>= 7), python
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/playonlinux/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/playonlinux/
Homepage: http://www.playonlinux.com/

Package: playonlinux
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, wine|wine-unstable, unzip, wget, x-terminal-emulator, python-wxgtk2.8, imagemagick, cabextract, mesa-utils, gettext-base, binutils, gnupg, icoutils
Suggests: ttf-mscorefonts-installer
Description: front-end for Wine
 PlayOnLinux is a front-end for wine. It permits you to easily install Windows
 Games  and softwares on Linux. It is advised to have a functional internet
 connection.

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs CHANGELOG
-	dh_installdocs
+	dh_installdocs TRANSLATORS
 	dh_install
 	dh_installmenu
 	dh_python2

## playonlinux 4.1.1

=== debian/changelog ===
playonlinux (4.1.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh debian/patches.
  * debian/rules: fix permissions... again.

 -- Bertrand Marc <beberking@gmail.com>  Tue, 22 May 2012 20:15:21 +0200

playonlinux (4.0.17-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper v8 and minimal debian/rules.
  * debian/copyright: use machine readable format.
  * playonlinux.install: allow only script plugins. The Capture plugin
    provides binaries.
  * patch plugins/plugins.lst to remove any mention of Capture.
  * Add xterm as an alternative dependency for x-terminal-emulator, as
    it is the default used upstream and to make lintian happy.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 22 Apr 2012 13:01:41 +0200

playonlinux (4.0.16-1) unstable; urgency=low

  * New upstream release.
  * Depends on x11-utils to provide xdpyinfo.
  * Refresh patches.
  * Standards version 3.9.3.

 -- Bertrand Marc <beberking@gmail.com>  Thu, 22 Mar 2012 21:51:56 +0100

=== debian/control ===
Source: playonlinux
Section: contrib/otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bertrand Marc <beberking@gmail.com>
Build-Depends: debhelper (>= 8), python
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/playonlinux/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/playonlinux/
Homepage: http://www.playonlinux.com/

Package: playonlinux
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, wine|wine-unstable, unzip, wget, xterm|x-terminal-emulator, python-wxgtk2.8, imagemagick, cabextract, mesa-utils, gettext-base, binutils, gnupg, icoutils, x11-utils
Suggests: ttf-mscorefonts-installer
Description: front-end for Wine
 PlayOnLinux is a front-end for wine. It permits you to easily install Windows
 Games  and softwares on Linux. It is advised to have a functional internet
 connection.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_install:
	dh_install
	chmod +x debian/playonlinux/usr/share/playonlinux/bash/terminals/Default
	chmod +x debian/playonlinux/usr/share/playonlinux/bash/analyse_menu
	chmod +x debian/playonlinux/usr/share/playonlinux/bash/read_pc_cd
	chmod -x debian/playonlinux/usr/share/playonlinux/python/lib/DirTreeCtrl.py

## playonlinux 4.2.1

=== debian/changelog ===
playonlinux (4.2.1-1) unstable; urgency=low

  * New upstream release (closes: #687207, #683682).
  * Most of the patches were included upstream under the condition that
    DEBIAN_PACKAGE is set to TRUE. So delete all the patches included
    upstream and replace them with set_debian_env.diff.
  * Refresh debian/patches/remove_binary_plugin.diff and add a description.
  * Update temporary permission fix in debian/rules.
  * Fix spelling error in description and manpage.
  * debian/control: suggests curl and scrot as the screen capture plugin
    requires them (closes: #676687).
  * State in README.Debian that is linux is the only platform supported
    (closes: #699859).
  * Standards-Version 3.9.4.
  * Update the years in debian/copyright and exlain why the icons from the
    Tango project are in the public domain and what it means.

 -- Bertrand Marc <beberking@gmail.com>  Tue, 21 May 2013 21:47:44 +0200

=== debian/control ===
Source: playonlinux
Section: contrib/otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bertrand Marc <beberking@gmail.com>
Build-Depends: debhelper (>= 8), python
Standards-Version: 3.9.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/playonlinux/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/playonlinux/
Homepage: http://www.playonlinux.com/

Package: playonlinux
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, wine|wine-unstable, unzip, wget, xterm|x-terminal-emulator, python-wxgtk2.8, imagemagick, cabextract, mesa-utils, gettext-base, binutils, gnupg, icoutils, x11-utils
Suggests: ttf-mscorefonts-installer, curl, scrot
Description: front-end for Wine
 PlayOnLinux is a front-end for wine. It permits you to easily install Windows
 Games and software on Linux. It is advised to have a functional internet
 connection.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,5 @@
 
 override_dh_install:
 	dh_install
-	chmod +x debian/playonlinux/usr/share/playonlinux/bash/terminals/Default
-	chmod +x debian/playonlinux/usr/share/playonlinux/bash/analyse_menu
+	chmod +x debian/playonlinux/usr/share/playonlinux/bash/startup_after_server
 	chmod +x debian/playonlinux/usr/share/playonlinux/bash/read_pc_cd
-	chmod -x debian/playonlinux/usr/share/playonlinux/python/lib/DirTreeCtrl.py

## playonlinux 4.2.2

=== debian/changelog ===
playonlinux (4.2.2-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * debian/control: Bump curl from Suggests to Depends (Closes: #716889).

  [ Bertrand Marc ]
  * New upstream release.
  * Provide a complete menu file:
    + build-depend on imagemagick.
    + use convert to build a xpm icon in override_dh_auto_build-indep.
    + copy the xpm icon to /usr/share/pixmaps/.
    + add an icon entry in the menu file (Closes: #727030).
  * Standards version 3.9.5: no changes needed.
  * Add a dependency on netcat, as playonlinux will fail without nc
    (Closes: #710753), on p7zip-full (Closes: #725241) and on bzip2
    (Closes: #725460).
  * debian/rules: make bash/find_python executable. Upstream doesn't seem to
    understand the concept of permissions... Maybe someday.

 -- Bertrand Marc <beberking@gmail.com>  Sat, 25 Jan 2014 13:31:25 +0100

=== debian/control ===
Source: playonlinux
Section: contrib/otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bertrand Marc <beberking@gmail.com>
Build-Depends: debhelper (>= 8), python, imagemagick
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/playonlinux/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/playonlinux/
Homepage: http://www.playonlinux.com/

Package: playonlinux
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, wine|wine-unstable, unzip, wget, xterm|x-terminal-emulator, python-wxgtk2.8, imagemagick, cabextract, mesa-utils, gettext-base, binutils, gnupg, icoutils, x11-utils, curl, netcat, bzip2, p7zip-full
Suggests: ttf-mscorefonts-installer, scrot
Description: front-end for Wine
 PlayOnLinux is a front-end for wine. It permits you to easily install Windows
 Games and software on Linux. It is advised to have a functional internet
 connection.

=== debian/watch ===
version=3
http://www.playonlinux.com/fr/download-generic.html http://www.playonlinux.com/script_files/PlayOnLinux/(?:.*)/PlayOnLinux_(.*).tar.gz

## playonlinux 4.2.3

=== debian/changelog ===
playonlinux (4.2.3-1) unstable; urgency=medium

  * New upstream release (Closes: #749135).

 -- Bertrand Marc <beberking@gmail.com>  Sun, 13 Jul 2014 12:15:21 +0200

## playonlinux 4.2.4

=== debian/changelog ===
playonlinux (4.2.4-1) unstable; urgency=medium

  * Team upload.

  [ Bertrand Marc ]
  * New upstream release.

  [ Vincent Cheng ]
  * Replace depends on wine-unstable with wine-development. (Closes: #758313)

 -- Bertrand Marc <beberking@gmail.com>  Tue, 12 Aug 2014 19:51:48 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: playonlinux
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, wine|wine-unstable, unzip, wget, xterm|x-terminal-emulator, python-wxgtk2.8, imagemagick, cabextract, mesa-utils, gettext-base, binutils, gnupg, icoutils, x11-utils, curl, netcat, bzip2, p7zip-full
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, wine|wine-development, unzip, wget, xterm|x-terminal-emulator, python-wxgtk2.8, imagemagick, cabextract, mesa-utils, gettext-base, binutils, gnupg, icoutils, x11-utils, curl, netcat, bzip2, p7zip-full
 Suggests: ttf-mscorefonts-installer, scrot
 Description: front-end for Wine
  PlayOnLinux is a front-end for wine. It permits you to easily install Windows

## playonlinux 4.2.5

=== debian/changelog ===
playonlinux (4.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Depends on python-wxgtk3.0 instead on python-wxgtk2.8 (Closes: #757429).

 -- Bertrand Marc <beberking@gmail.com>  Fri, 12 Sep 2014 23:25:33 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: playonlinux
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, wine|wine-development, unzip, wget, xterm|x-terminal-emulator, python-wxgtk2.8, imagemagick, cabextract, mesa-utils, gettext-base, binutils, gnupg, icoutils, x11-utils, curl, netcat, bzip2, p7zip-full
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, wine|wine-development, unzip, wget, xterm|x-terminal-emulator, python-wxgtk3.0, imagemagick, cabextract, mesa-utils, gettext-base, binutils, gnupg, icoutils, x11-utils, curl, netcat, bzip2, p7zip-full
 Suggests: ttf-mscorefonts-installer, scrot
 Description: front-end for Wine
  PlayOnLinux is a front-end for wine. It permits you to easily install Windows

## playonlinux 4.2.6

=== debian/changelog ===
playonlinux (4.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Standards version 3.9.6: no changes needed.
  * Update debian/watch to https. Upstream disabled http.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 29 Mar 2015 16:21:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Bertrand Marc <beberking@gmail.com>
 Build-Depends: debhelper (>= 8), python, imagemagick
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/playonlinux/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/playonlinux/
 Homepage: http://www.playonlinux.com/

## playonlinux 4.2.9

=== debian/changelog ===
playonlinux (4.2.9-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Mon, 09 Nov 2015 16:27:55 -0800

playonlinux (4.2.9-1) unstable; urgency=medium

  * New upstream release.

 -- Bertrand Marc <beberking@gmail.com>  Sat, 19 Sep 2015 13:47:37 +0200

playonlinux (4.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to match the new tree.
  * Depend on wine32|wine32-development to make sure the 32 bits version
    of wine is installed. POL assumes it is (Closes: #783875).
  * Build-depend on dh-python as it is used in the build process.

 -- Bertrand Marc <beberking@gmail.com>  Sat, 18 Jul 2015 12:14:57 +0200

=== debian/control ===
Source: playonlinux
Section: contrib/otherosfs
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bertrand Marc <beberking@gmail.com>
Build-Depends: debhelper (>= 8), dh-python, python, imagemagick
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/playonlinux/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/playonlinux/
Homepage: http://www.playonlinux.com/

Package: playonlinux
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, wine|wine-development, wine32|wine32-development, unzip, wget, xterm|x-terminal-emulator, python-wxgtk3.0, imagemagick, cabextract, mesa-utils, gettext-base, binutils, gnupg, icoutils, x11-utils, curl, netcat, bzip2, p7zip-full
Suggests: ttf-mscorefonts-installer, scrot
Description: front-end for Wine
 PlayOnLinux is a front-end for wine. It permits you to easily install Windows
 Games and software on Linux. It is advised to have a functional internet
 connection.

## playonlinux 4.2.10

=== debian/changelog ===
playonlinux (4.2.10-2ubuntu0.1) xenial; urgency=medium

  * PlayOnLinux.desktop: Add a Comment field to enable playonlinux to show
    up in the Software app (LP: #1574805)    

 -- Daniel Rusek <mail@asciiwolf.com>  Tue, 01 Nov 2016 20:40:05 +0100

playonlinux (4.2.10-2) unstable; urgency=medium

  * Remove obsolete plugins from debian/playonlinux.install (Closes: #820329).
  * Standards version 3.9.8: no changes needed.
  * Update years in debian/copyright.

 -- Bertrand Marc <beberking@gmail.com>  Sat, 09 Apr 2016 15:55:40 +0200

playonlinux (4.2.10-1) unstable; urgency=medium

  * New upstream release.

 -- Bertrand Marc <beberking@gmail.com>  Sun, 31 Jan 2016 16:05:04 +0100

playonlinux (4.2.9-2) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * Use compat level 9 and require debhelper >= 9.
  * Vcs-Browser: Use https.
  * d/control: Remove superfluous ${shlibs:Depends} substvar.
  * Remove dependency on wine32|wine32-development again to ensure the package
    can migrate to testing.

  [ Bertrand Marc ]
  * Remove debian/menu.

 -- Markus Koschany <apo@debian.org>  Fri, 08 Jan 2016 10:47:57 +0100

=== debian/control ===
Source: playonlinux
Section: contrib/otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bertrand Marc <beberking@gmail.com>
Build-Depends: debhelper (>= 9), dh-python, python, imagemagick
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/playonlinux/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/playonlinux/
Homepage: http://www.playonlinux.com/

Package: playonlinux
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, wine|wine-development, unzip, wget, xterm|x-terminal-emulator, python-wxgtk3.0, imagemagick, cabextract, mesa-utils, gettext-base, binutils, gnupg, icoutils, x11-utils, curl, netcat, bzip2, p7zip-full
Suggests: ttf-mscorefonts-installer, scrot
Description: front-end for Wine
 PlayOnLinux is a front-end for wine. It permits you to easily install Windows
 Games and software on Linux. It is advised to have a functional internet
 connection.

=== debian/watch ===
version=3
http://www.playonlinux.com/fr/download-generic.html https://www.playonlinux.com/script_files/PlayOnLinux/(?:.*)/PlayOnLinux_(.*).tar.gz

## playonlinux 4.2.12

=== debian/changelog ===
playonlinux (4.2.12-1) unstable; urgency=medium

  * Use my @debian.org address for the maintainer field and in debian/copyright.
  * Moved the package to Git.
  * New upstream version 4.2.12 (Closes: #863711, #849119).
  * debian/rules: override dh_auto_install to disable upstream's Makefile.
  * debian/rules: remove override_dh_install, not needed anymore.
  * Use the manpages shipped upstream:
    + remove debian/man.
    + update debian/playonlinux.manpages.
    + add a patch to fix a typo in playonlinux.1.
  * Use the desktop file shipped upstream (Closes: #845548).
  * Update years and Format: url in debian/copyright.
  * Standards version: 4.0.0.

 -- Bertrand Marc <bmarc@debian.org>  Wed, 26 Jul 2017 11:14:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: playonlinux
 Section: contrib/otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Bertrand Marc <beberking@gmail.com>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Bertrand Marc <bmarc@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python, imagemagick
-Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/playonlinux/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/playonlinux/
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/playonlinux.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-games/playonlinux.git
 Homepage: http://www.playonlinux.com/
 
 Package: playonlinux

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 %:
 	dh $@ --with python2
 
-override_dh_install:
-	dh_install
-	chmod +x debian/playonlinux/usr/share/playonlinux/bash/startup_after_server
-	chmod +x debian/playonlinux/usr/share/playonlinux/bash/read_pc_cd
+override_dh_auto_build-indep:
+	convert -monitor -resize 32x32 $(CURDIR)/etc/playonlinux.png $(CURDIR)/playonlinux.xpm
+
+override_dh_auto_install:
+

## playonlinux 4.3.4

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 CC = gcc $(CFLAGS)
 PYTHON = python2 -m py_compile
 GZIP = gzip
+SHELL := /bin/bash
 
 PREFIX ?= /usr
 DESTDIR ?= # root dir

=== debian/changelog ===
playonlinux (4.3.4-2) unstable; urgency=medium

  * Team upload.

  [ Scott Talbert ]
  * Port to Python 3. (Closes: #937302)

  [ Markus Koschany ]
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Mon, 11 May 2020 17:48:43 +0200

playonlinux (4.3.4-1) unstable; urgency=medium

  * New upstream version 4.3.4:
    + Fix display issues (Closes: #874284).
  * Standards-version: 4.3.0, no changes needed.
  * Adjust debian/playonlinux.install to the new upstream tree.

 -- Bertrand Marc <bmarc@debian.org>  Fri, 28 Dec 2018 14:53:06 +0100

playonlinux (4.3.3-1) unstable; urgency=medium

  * New upstream version 4.3.3
  * Update debian/watch to version 4 and use https.
  * Standards-version: 4.2.1, no changes needed.
  * debian/control:
    + Use https in the homepage field.
    + Reorder and move dependencies.
    + Add a dependency on jq.
    + Depends on wine32|wine, and not wine-development, as it doesn't provide
      /usr/bin/wine anymore.
    + Suggests winbind.
  * Move the package to salsa and update Vcs-Git and Vcs-browser accordingly.
  * debian/copyright: update years.

 -- Bertrand Marc <bmarc@debian.org>  Sat, 24 Nov 2018 19:02:52 +0100

=== debian/control ===
Source: playonlinux
Section: contrib/otherosfs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bertrand Marc <bmarc@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3, imagemagick
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/games-team/playonlinux.git
Vcs-Browser: https://salsa.debian.org/games-team/playonlinux
Homepage: https://www.playonlinux.com/

Package: playonlinux
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 binutils,
 bzip2,
 cabextract,
 curl,
 gettext-base,
 gnupg,
 icoutils,
 imagemagick,
 jq,
 mesa-utils,
 netcat,
 p7zip-full,
 python3-natsort,
 python3-wxgtk4.0 (>= 4.0.7+dfsg-3~),
 unzip,
 wget,
 wine32|wine,
 x11-utils,
 xterm|x-terminal-emulator
Suggests: scrot,
 ttf-mscorefonts-installer,
 winbind
Description: front-end for Wine
 PlayOnLinux is a front-end for wine. It permits you to easily install Windows
 Games and software on Linux. It is advised to have a functional internet
 connection.

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_build-indep:
 	convert -monitor -resize 32x32 $(CURDIR)/etc/playonlinux.png $(CURDIR)/playonlinux.xpm
 
 override_dh_auto_install:
-	
+

=== debian/watch ===
version=4
https://www.playonlinux.com/fr/download-generic.html https://www.playonlinux.com/script_files/PlayOnLinux/(?:.*)/PlayOnLinux@ANY_VERSION@@ARCHIVE_EXT@
